
import request from '@/utils/request';


/**
 * 获取文档列表
 * @param {string} id - 文档ID
 * @returns {Promise} 返回文档详情数据
 */
export function getDocList() {
  return request({
    url: `/micro-mgz`,
    method: 'get'
  });
}

/**
 * 获取文档详情
 * @param {string} id - 文档ID
 * @returns {Promise} 返回文档详情数据
 */
export function getDocumentDetail(id) {
  return request({
    url: `/micro-mgz/${id}/detail`,
    method: 'get'
  });
}


/**
 * 获取文档书签
 * @param {string} id - 文档ID
 * @returns {Promise} 返回文档详情数据
 */
export function getDocumentBookmarks(id) {
  return request({
    url: `/micro-mgz/${id}/bookmarks`,
    method: 'get'
  });
}
